%define anolis_release 1

%global forgeurl https://github.com/HewlettPackard/netperf
%global commit 3bc455b23f901dae377ca0a558e1e32aa56b31c4
%forgemeta

Name:           netperf
Version:        2.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Benchmark to measure the performance of many different types of networking

License:        MIT and BSD
URL:            https://hewlettpackard.github.io/netperf
Source0:        %{forgesource}
Source1:        netserver.service

# netserver: do not chmod("/dev/null", 0644) when suppress_debug==1
Patch1:         %{forgeurl}/pull/63.patch

Patch2:         netperf-c99.patch

BuildRequires:  autoconf automake gcc make lksctp-tools-devel
BuildRequires:  systemd-rpm-macros texinfo-tex

%description
Netperf is a benchmark that can be used to measure the performance of many
different types of networking. It provides tests for both unidirectional
throughput, and end-to-end latency.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%forgeautosetup -p1
# remove prebuilt documentation
rm doc/netperf.{html,pdf}

%build
./autogen.sh
# workaround build issue with GCC 10 and later
export CFLAGS="%{optflags} -fcommon"
%configure \
  --enable-burst \
  --enable-dccp \
  --enable-demo \
  --enable-dirty \
  --enable-histogram \
  --enable-intervals \
  --enable-omni \
  --enable-sctp \
  --enable-unixdomain

%make_build
%make_build -C doc netperf.html netperf.pdf

%install
%make_install
install -Dpm0644 -t %{buildroot}%{_unitdir} %SOURCE1
rm doc/examples/Makefile*
chmod -x doc/examples/*

%generate_compatibility_deps

%post
%systemd_post netserver.service

%preun
%systemd_preun netserver.service

%postun
%systemd_postun_with_restart netserver.service

%files
%license COPYING
%doc Release_Notes
%doc doc/netperf.pdf doc/netperf.html
%doc doc/examples
%{_bindir}/netperf
%{_bindir}/netserver
%{_unitdir}/netserver.service
%{_infodir}/netperf.*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*
%dir %{abidir}
%{abidir}/netserver-option.list

%files doc
%doc AUTHORS README 

%changelog
* Wed Apr 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.7.0-1
- Init upstream from version 2.7.0
